Package org.jboss.logging.annotations

# Annotation Type Pos

@Retention(CLASS) @Target(PARAMETER) @Documented public @interface Pos

Since:
  1.1.0
Author:
  James R. Perkins

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`int[]`
`value`
The positions the value should be used at.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Transform[]`
`transform`
The transform types used on the parameter.

## Element Details

### value

int[] value
The positions the value should be used at.

Returns:
  an array of the positions for the parameter

### transform

Transform[] transform
The transform types used on the parameter.

Returns:
  an array of the transformer types
See Also:
  - `Transform`

Default:
  {}